# frozen_string_literal: true

class SpaceTraders::Endpoint::Contracts < SpaceTraders::Endpoint
  define_endpoint :my_contracts, get: 'my/contracts'
  define_endpoint :my_contract, get: 'my/contracts/:id'
  define_endpoint :my_contracts_accept, post: 'my/contracts/:id/accept'
  define_endpoint :my_contracts_deliver, post: 'my/contracts/:id/deliver'
  define_endpoint :my_contracts_fulfill, post: 'my/contracts/:id/fulfill'
end
