# frozen_string_literal: true

class SpaceTraders::Endpoint::Ships < SpaceTraders::Endpoint
  define_endpoint :my_ships, get: 'my/ships'
  define_endpoint :my_ship, get: 'my/ships/:id'
  define_endpoint :purchase_ship, post: 'my/ships' # shipType waypointSymbol
  define_endpoint :my_ship_orbit, post: 'my/ships/:id/orbit'
  define_endpoint :my_ship_survey, post: 'my/ships/:id/survey'
  define_endpoint :my_ship_extract, post: 'my/ships/:id/extract/survey'
  define_endpoint :my_ship_siphon, post: 'my/ships/:id/siphon'
  define_endpoint :my_ship_jump, post: 'my/ships/:id/jump'
  define_endpoint :my_ship_navigate, post: 'my/ships/:id/navigate'
  define_endpoint :my_ship_warp, post: 'my/ships/:id/warp'
  define_endpoint :my_ship_refuel, post: 'my/ships/:id/refuel'
  define_endpoint :my_ship_sell, post: 'my/ships/:id/sell'
end
