# frozen_string_literal: true

class SpaceTraders::Endpoint::Systems < SpaceTraders::Endpoint
  define_endpoint :systems, get: 'systems'
  define_endpoint :system, get: 'systems/:id'
  define_endpoint :waypoints, get: 'systems/:id/waypoints'
  define_endpoint :waypoint, get: 'systems/:system/waypoints/:waypoint'
  # define_endpoint :market, get: 'systems/:system/waypoints/:waypoint/market'
  # define_endpoint :shipyard, get: 'systems/:system/waypoints/:waypoint/shipyard'
  # define_endpoint :jump_gate, get: 'systems/:system/waypoints/:waypoint/jump-gate'
  # define_endpoint :construction, get: 'systems/:system/waypoints/:waypoint/construction'
  # define_endpoint :construction_supply, get: 'systems/:system/waypoints/:waypoint/construction_supply'
end
